View Issue Details

IDCategoryLast Update
0007834translation2019-11-02 01:46
ReporterprokoudineAssigned Tox42 
Reproducibilityalways 
Status closedResolutionfixed 
Product Version5.X git (version in description) 
Fixed in Version 
Summary0007834: Make virtual MIDI keyboard more translatable
DescriptionA bunch of messages weren't marked for translation. Here's a quick patch for that.
TagsNo tags attached.

Activities

prokoudine

2019-10-25 21:42

reporter  

0001-Make-Virtual-MIDI-keyboard-more-translatable.patch (4,773 bytes)
From bffc550f09c4e4054f5076dc3a4b753584c1d20b Mon Sep 17 00:00:00 2001
From: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date: Sat, 26 Oct 2019 00:39:27 +0300
Subject: [PATCH] Make Virtual MIDI keyboard more translatable

---
 gtk2_ardour/virtual_keyboard_window.cc | 38 +++++++++++++-------------
 1 file changed, 19 insertions(+), 19 deletions(-)

diff --git a/gtk2_ardour/virtual_keyboard_window.cc b/gtk2_ardour/virtual_keyboard_window.cc
index 16e13e89a6..07c026f4fb 100644
--- a/gtk2_ardour/virtual_keyboard_window.cc
+++ b/gtk2_ardour/virtual_keyboard_window.cc
@@ -43,13 +43,13 @@ VirtualKeyboardWindow::VirtualKeyboardWindow ()
 	, _bank_msb (*manage (new Adjustment (0, 0, 127, 1, 16)))
 	, _bank_lsb (*manage (new Adjustment (0, 0, 127, 1, 16)))
 	, _patchpgm (*manage (new Adjustment (1, 1, 128, 1, 16)))
-	, _cfg_display ("Config", ArdourButton::led_default_elements)
-	, _pgm_display ("Bank/Patch", ArdourButton::led_default_elements)
-	, _yaxis_velocity ("Y-Axis", ArdourButton::led_default_elements)
-	, _highlight_grand_piano ("Grand Piano", ArdourButton::led_default_elements)
-	, _highlight_key_range ("Key Bindings", ArdourButton::led_default_elements)
-	, _show_note_label ("Label C Key", ArdourButton::led_default_elements)
-	, _send_panic ("Panic", ArdourButton::default_elements)
+	, _cfg_display (_("Config"), ArdourButton::led_default_elements)
+	, _pgm_display (_("Bank/Patch"), ArdourButton::led_default_elements)
+	, _yaxis_velocity (_("Y-Axis"), ArdourButton::led_default_elements)
+	, _highlight_grand_piano (_("Grand Piano"), ArdourButton::led_default_elements)
+	, _highlight_key_range (_("Key Bindings"), ArdourButton::led_default_elements)
+	, _show_note_label (_("Label C Key"), ArdourButton::led_default_elements)
+	, _send_panic (_("Panic"), ArdourButton::default_elements)
 	, _piano_key_velocity (*manage (new Adjustment (100, 1, 127, 1, 16)))
 	, _piano_min_velocity (*manage (new Adjustment (  1, 1, 127, 1, 16)))
 	, _piano_max_velocity (*manage (new Adjustment (127, 1, 127, 1, 16)))
@@ -90,22 +90,22 @@ VirtualKeyboardWindow::VirtualKeyboardWindow ()
 	_pitch_adjustment.signal_value_changed ().connect (sigc::mem_fun (*this, &VirtualKeyboardWindow::pitch_slider_adjusted));
 	_pitchbend->ValueChanged.connect_same_thread (_cc_connections, boost::bind (&VirtualKeyboardWindow::pitch_bend_event_handler, this, _1));
 
-	set_tooltip (_highlight_grand_piano, "Shade keys outside the range of a Grand Piano (A0-C8).");
-	set_tooltip (_highlight_key_range, "When enabled, indicate keyboard-shortcuts on the piano-keys.");
-	set_tooltip (_show_note_label, "When enabled, print octave number on C-Keys");
-	set_tooltip (_yaxis_velocity, "When enabled, mouse-click y-axis position defines the velocity.");
+	set_tooltip (_highlight_grand_piano, _("Shade keys outside the range of a Grand Piano (A0-C8)."));
+	set_tooltip (_highlight_key_range, _("When enabled, indicate keyboard-shortcuts on the piano-keys."));
+	set_tooltip (_show_note_label, _("When enabled, print octave number on C-Keys"));
+	set_tooltip (_yaxis_velocity, _("When enabled, mouse-click y-axis position defines the velocity."));
 
-	set_tooltip (_piano_octave_key, "The center octave, and lowest octave for keyboard control. Change with Arrow left/right.");
-	set_tooltip (_piano_octave_range, "Available octave range, centered around the key-octave.");
-	set_tooltip (_keyboard_layout, "Keyboard layout to use for keyboard control.");
+	set_tooltip (_piano_octave_key, _("The center octave, and lowest octave for keyboard control. Change with Arrow left/right."));
+	set_tooltip (_piano_octave_range, _("Available octave range, centered around the key-octave."));
+	set_tooltip (_keyboard_layout, _("Keyboard layout to use for keyboard control."));
 
-	set_tooltip (_piano_key_velocity, "The default velocity to use with keyboard control, and when y-axis click-position is disabled.");
-	set_tooltip (_piano_min_velocity, "Velocity to use when clicking at the top-end of a key.");
-	set_tooltip (_piano_max_velocity, "Velocity to use when clicking at the bottom-end of a key.");
+	set_tooltip (_piano_key_velocity, _("The default velocity to use with keyboard control, and when y-axis click-position is disabled."));
+	set_tooltip (_piano_min_velocity, _("Velocity to use when clicking at the top-end of a key."));
+	set_tooltip (_piano_max_velocity, _("Velocity to use when clicking at the bottom-end of a key."));
 
-	set_tooltip (_send_panic, "Send MIDI Panic message for current channel");
+	set_tooltip (_send_panic, _("Send MIDI Panic message for current channel"));
 
-	_pitch_slider_tooltip->set_tip ("Pitchbend: 8192");
+	_pitch_slider_tooltip->set_tip (_("Pitchbend: 8192"));
 	_pitch_slider->set_can_focus (false);
 
 	/* config */
-- 
2.20.1

prokoudine

2019-10-25 21:54

reporter   ~0020796

Oh, and the missing translation context.

0002-Add-missing-translation-context.patch (1,174 bytes)
From 3a546458316d483e74fcf758723b3814a93d36e9 Mon Sep 17 00:00:00 2001
From: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date: Sat, 26 Oct 2019 00:52:31 +0300
Subject: [PATCH 2/2] Add missing translation context

---
 gtk2_ardour/virtual_keyboard_window.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gtk2_ardour/virtual_keyboard_window.cc b/gtk2_ardour/virtual_keyboard_window.cc
index 07c026f4fb..064e1c5922 100644
--- a/gtk2_ardour/virtual_keyboard_window.cc
+++ b/gtk2_ardour/virtual_keyboard_window.cc
@@ -43,7 +43,7 @@ VirtualKeyboardWindow::VirtualKeyboardWindow ()
 	, _bank_msb (*manage (new Adjustment (0, 0, 127, 1, 16)))
 	, _bank_lsb (*manage (new Adjustment (0, 0, 127, 1, 16)))
 	, _patchpgm (*manage (new Adjustment (1, 1, 128, 1, 16)))
-	, _cfg_display (_("Config"), ArdourButton::led_default_elements)
+	, _cfg_display (S_("Virtual keyboard|Config"), ArdourButton::led_default_elements)
 	, _pgm_display (_("Bank/Patch"), ArdourButton::led_default_elements)
 	, _yaxis_velocity (_("Y-Axis"), ArdourButton::led_default_elements)
 	, _highlight_grand_piano (_("Grand Piano"), ArdourButton::led_default_elements)
-- 
2.20.1

x42

2019-11-02 01:46

administrator   ~0020808

Rebased and updated 6.0-pre0-2735 https://github.com/Ardour/ardour/commit/b68a7fdf96
Thanks!

Issue History

Date Modified Username Field Change
2019-10-25 21:42 prokoudine New Issue
2019-10-25 21:42 prokoudine File Added: 0001-Make-Virtual-MIDI-keyboard-more-translatable.patch
2019-10-25 21:54 prokoudine File Added: 0002-Add-missing-translation-context.patch
2019-10-25 21:54 prokoudine Note Added: 0020796
2019-11-02 01:46 x42 Note Added: 0020808
2019-11-02 01:46 x42 Assigned To => x42
2019-11-02 01:46 x42 Status new => closed
2019-11-02 01:46 x42 Resolution open => fixed